# Accessing Docker containers

Create Magento App consists of Magento, Docker containers with Redis, Elasticsearch, Nginx, and MySQL, and CLI to connect all of these things together. We already have a [CLI](/v1/getting-started/available-commands/cli.md) command that gives us access to [Magento CLI](https://devdocs.magento.com/guides/v2.4/reference/cli/magento.html) and [Composer CLI](https://getcomposer.org/doc/03-cli.md), but how can we access the containers?\
That is where the connect command comes in handy!

```bash
yarn run exec <container name> # for Yarn
npm run exec <container name> # for NPM
```

Now we are inside of a chosen container.\
Here is a list of available container names:

* `mysql`
* `nginx`
* `redis`
* `elasticsearch`

## Common Usage

```bash
yarn run exec mysql

>root@c8f223c3ea92:/# # inside a mysql container

# ctrl + d or type 'exit' and press enter

# this is not alias, but rather service name matching
yarn run exec m

>root@c8f223c3ea92:/# # inside a mysql container

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.create-magento-app.com/v1/usage-guide/accessing-docker-containers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
